{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Quiz Portal
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Quiz Portal
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for staffCourse in courseList %}
                        <li {% if staffCourseInstance.pk == staffCourse.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ staffCourse.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {% if staffCourse.course.code %}
                                    {{ staffCourse.course.code }}
                                {% else %}
                                    {{ staffCourse.course.course_id }}
                                {% endif %}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form method="POST">{% csrf_token %}
            <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">
            {% if ut1Quiz %}
                <div class="row">
                    <div class="col-md-6 col-md-offset-3 col-sm-12 col-xs-12">
                        <table class="table table-bordered table-striped">
                            {% for each in ut1Quiz %}
                                <tr>
                                    <td class="info" colspan="2" align="center">Quiz {{ each.unitTest }}</td>
                                </tr>
                                <tr>
                                    <td class="success" width="50%" align="center">Start Time</td>
                                    <td class="success" width="50%" align="center">{{ each.startTime }}</td>
                                </tr>
                                <tr>
                                    <td class="warning" align="center">End Time</td>
                                    <td class="warning" align="center">{{ each.endTime }}</td>
                                </tr>
                            {% endfor %}
                        </table>
                    </div>
                </div>
                <div class="col-md-offset-7">
                    <button type="submit" name="quiz1" class="btn1 btn-dark-green">Attend Quiz 1
                    </button>
                    {% if showUt1Marks %}
                        <button type="submit" name="viewquiz1marks" class="btn1 btn1-primary">
                            View Marks
                        </button>
                    {% endif %}
                </div>
            {% endif %}
            {% if ut2Quiz %}
                <div class="row">
                    <div class="col-md-6 col-md-offset-3 col-sm-12 col-xs-12">
                        <table class="table table-bordered table-striped">
                            {% for each in ut2Quiz %}
                                <tr>
                                    <td class="info" colspan="2" align="center">Quiz {{ each.unitTest }}</td>
                                </tr>
                                <tr>
                                    <td class="success" width="50%" align="center">Start Time</td>
                                    <td class="success" width="50%" align="center">{{ each.startTime }}</td>
                                </tr>
                                <tr>
                                    <td class="warning" align="center">End Time</td>
                                    <td class="warning" align="center">{{ each.endTime }}</td>
                                </tr>
                            {% endfor %}
                        </table>
                    </div>
                </div>
                <div class="col-md-offset-7">
                    <button type="submit" name="quiz2" class="btn1 btn-dark-green">Attend Quiz 2</button>
                    {% if showUt2Marks %}
                        <button type="submit" name="viewquiz2marks" class="btn1 btn1-primary">
                            View Marks
                        </button>
                    {% endif %}
                </div>
            {% endif %}
            {% if ut3Quiz %}
                <div class="row">
                    <div class="col-md-6 col-md-offset-3 col-sm-12 col-xs-12">
                        <table class="table table-bordered table-striped">
                            {% for each in ut3Quiz %}
                                <tr>
                                    <td class="info" colspan="2" align="center">Quiz {{ each.unitTest }}</td>
                                </tr>
                                <tr>
                                    <td class="success" width="50%" align="center">Start Time</td>
                                    <td class="success" width="50%" align="center">{{ each.startTime }}</td>
                                </tr>
                                <tr>
                                    <td class="warning" align="center">End Time</td>
                                    <td class="warning" align="center">{{ each.endTime }}</td>
                                </tr>
                            {% endfor %}
                        </table>
                    </div>
                </div>
                <div class="col-md-offset-7">
                    <button type="submit" name="quiz3" class="btn1 btn-dark-green">Attend Quiz 3</button>
                    {% if showUt3Marks %}
                        <button type="submit" name="viewquiz3marks" class="btn1 btn1-primary">
                            View Marks
                        </button>
                    {% endif %}
                </div>
            {% endif %}
        </form>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

    </script>

{% endblock %}